Bug 1416606 - [abrt] PackageKit: dnf_state_child_percentage_changed_cb(): packagekitd killed by SIGSEGV
Summary: [abrt] PackageKit: dnf_state_child_percentage_changed_cb(): packagekitd kille...
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: PackageKit
Version: 25
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Richard Hughes
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:29963d846dfaeccbd56b514dae7...
: 1452525 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-26 01:48 UTC by Robert Hancock
Modified: 2017-12-12 10:45 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-12-12 10:45:16 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (27.96 KB, text/plain)
2017-01-26 01:48 UTC, Robert Hancock
no flags Details
File: cgroup (148 bytes, text/plain)
2017-01-26 01:48 UTC, Robert Hancock
no flags Details
File: core_backtrace (4.82 KB, text/plain)
2017-01-26 01:48 UTC, Robert Hancock
no flags Details
File: dso_list (8.23 KB, text/plain)
2017-01-26 01:48 UTC, Robert Hancock
no flags Details
File: environ (143 bytes, text/plain)
2017-01-26 01:48 UTC, Robert Hancock
no flags Details
File: exploitable (82 bytes, text/plain)
2017-01-26 01:48 UTC, Robert Hancock
no flags Details
File: limits (1.29 KB, text/plain)
2017-01-26 01:48 UTC, Robert Hancock
no flags Details
File: maps (37.76 KB, text/plain)
2017-01-26 01:48 UTC, Robert Hancock
no flags Details
File: mountinfo (3.76 KB, text/plain)
2017-01-26 01:48 UTC, Robert Hancock
no flags Details
File: namespaces (102 bytes, text/plain)
2017-01-26 01:48 UTC, Robert Hancock
no flags Details
File: open_fds (2.07 KB, text/plain)
2017-01-26 01:48 UTC, Robert Hancock
no flags Details
File: proc_pid_status (1.08 KB, text/plain)
2017-01-26 01:48 UTC, Robert Hancock
no flags Details
File: var_log_messages (474 bytes, text/plain)
2017-01-26 01:48 UTC, Robert Hancock
no flags Details

Description Robert Hancock 2017-01-26 01:48:02 UTC
Version-Release number of selected component:
PackageKit-1.1.5-0.1.20161221.fc25

Additional info:
reporter:       libreport-2.8.0
backtrace_rating: 4
cmdline:        /usr/libexec/packagekitd
crash_function: dnf_state_child_percentage_changed_cb
executable:     /usr/libexec/packagekitd
global_pid:     1351
kernel:         4.9.2-200.fc25.x86_64
pkg_fingerprint: 4089 D8F2 FDB1 9C98
pkg_vendor:     Fedora Project
runlevel:       N 5
type:           CCpp
uid:            0

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 dnf_state_child_percentage_changed_cb at /usr/src/debug/PackageKit-1.1.5-20161221/libdnf-367545629cc01a8e622890d89bd13d062ce60d7b/libdnf/dnf-state.c:812
 #5 dnf_state_set_percentage at /usr/src/debug/PackageKit-1.1.5-20161221/libdnf-367545629cc01a8e622890d89bd13d062ce60d7b/libdnf/dnf-state.c:631
 #6 dnf_state_done_real at /usr/src/debug/PackageKit-1.1.5-20161221/libdnf-367545629cc01a8e622890d89bd13d062ce60d7b/libdnf/dnf-state.c:1384
 #7 dnf_sack_add_repo at /usr/src/debug/PackageKit-1.1.5-20161221/libdnf-367545629cc01a8e622890d89bd13d062ce60d7b/libdnf/dnf-sack.c:1721
 #8 dnf_sack_add_repos at /usr/src/debug/PackageKit-1.1.5-20161221/libdnf-367545629cc01a8e622890d89bd13d062ce60d7b/libdnf/dnf-sack.c:1787
 #9 dnf_utils_add_remote at pk-backend-dnf.c:522
 #10 dnf_utils_create_sack_for_filters at pk-backend-dnf.c:719
 #11 pk_backend_search_thread at pk-backend-dnf.c:941
 #12 pk_backend_job_thread_setup at pk-backend-job.c:813
 #13 g_thread_proxy at gthread.c:784

Comment 1 Robert Hancock 2017-01-26 01:48:08 UTC
Created attachment 1244560 [details]
File: backtrace

Comment 2 Robert Hancock 2017-01-26 01:48:10 UTC
Created attachment 1244561 [details]
File: cgroup

Comment 3 Robert Hancock 2017-01-26 01:48:11 UTC
Created attachment 1244562 [details]
File: core_backtrace

Comment 4 Robert Hancock 2017-01-26 01:48:12 UTC
Created attachment 1244563 [details]
File: dso_list

Comment 5 Robert Hancock 2017-01-26 01:48:13 UTC
Created attachment 1244564 [details]
File: environ

Comment 6 Robert Hancock 2017-01-26 01:48:14 UTC
Created attachment 1244565 [details]
File: exploitable

Comment 7 Robert Hancock 2017-01-26 01:48:15 UTC
Created attachment 1244566 [details]
File: limits

Comment 8 Robert Hancock 2017-01-26 01:48:16 UTC
Created attachment 1244567 [details]
File: maps

Comment 9 Robert Hancock 2017-01-26 01:48:17 UTC
Created attachment 1244568 [details]
File: mountinfo

Comment 10 Robert Hancock 2017-01-26 01:48:19 UTC
Created attachment 1244569 [details]
File: namespaces

Comment 11 Robert Hancock 2017-01-26 01:48:20 UTC
Created attachment 1244570 [details]
File: open_fds

Comment 12 Robert Hancock 2017-01-26 01:48:21 UTC
Created attachment 1244571 [details]
File: proc_pid_status

Comment 13 Robert Hancock 2017-01-26 01:48:22 UTC
Created attachment 1244572 [details]
File: var_log_messages

Comment 14 webdesigner 2017-05-19 06:53:57 UTC
*** Bug 1452525 has been marked as a duplicate of this bug. ***

Comment 15 Fedora End Of Life 2017-11-16 15:08:31 UTC
This message is a reminder that Fedora 25 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 25. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '25'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 25 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 16 Fedora End Of Life 2017-12-12 10:45:16 UTC
Fedora 25 changed to end-of-life (EOL) status on 2017-12-12. Fedora 25 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.